# Pagination

Pagination is used in all API endpoints that return a list of results.

**Example:**

```javascript
{
    "result": [],
    "pageSize": 10,
    "pageIndex": 0,
    "totalRecordsFound": 0,
    "resultCount": 0,
    "totalPages": 0,
    "queryDurationMilliseconds": 48
}
```

Each response will contain paging information alongside the results. To change pages or the page size, when making the GET request, append the following Query Parameters   `?pageSize=10&pageIndex=1`

{% hint style="info" %}
If no paging parameter are provided, default values are used. `pageSize=10&pageIndex=0`
{% endhint %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.simplestore.io/pagination.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
